sporadic timeout in test_CrossSiteXHR.html & test_CrossSiteXHR_cache.html, followed by test-harness timeout

RESOLVED FIXED in mozilla1.9.3a5

Status

()

Core
DOM
RESOLVED FIXED
9 years ago
6 years ago

People

(Reporter: dholbert, Assigned: mrbkap)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.3a5
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test which aborts the suite])

Attachments

(1 attachment)

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257539409.1257541485.5481.gz
OS X 10.5.2 mozilla-central debug test mochitests-1/5 on 2009/11/06 12:30:09

{
2117 INFO TEST-PASS | /tests/content/base/test/test_CrossSiteXHR.html | wrong events in test for * http://sub2.xn--lt-uia.example.org
--DOMWINDOW == 31 (0xd305320) [serial = 81] [outer = 0x11875fd0] [url = http://localhost:8888/tests/caps/tests/mochitest/test_bug470804.html]
[...]
2118 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_CrossSiteXHR.html | Test timed out.
2120 INFO Running /tests/content/base/test/test_CrossSiteXHR_cache.html...
[...]
2126 INFO TEST-PASS | /tests/content/base/test/test_CrossSiteXHR_cache.html | wrong events in test for http://sub2.xn--lt-uia.example.org http://sub2.xn--lt-uia.example.org
2127 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_CrossSiteXHR_cache.html | Test timed out.
2129 INFO Running /tests/content/base/test/test_NodeIterator_basics_filters.xhtml...
WARNING: NS_ENSURE_SUCCESS(status, status) failed with result 0x804B0002: file /builds/slave/mozilla-central-macosx-debug/build/content/base/src/nsCrossSiteListenerProxy.cpp, line 236
[...]
2135 INFO TEST-PASS | /tests/content/base/test/test_NodeIterator_basics_filters.xhtml | wrong events in test for allow <http://sub2.xn--lt-uia.example.org>
WARNING: NS_ENSURE_SUCCESS(status, status) failed with result 0x804B0002: file /builds/slave/mozilla-central-macosx-debug/build/content/base/src/nsCrossSiteListenerProxy.cpp, line 236
++DOMWINDOW == 15 (0xcd68e60) [serial = 91] [outer = 0x11875fd0]
Security Error: Content at http://localhost:8888/ may not load data from about:neterror?e=netTimeout&u=http%3A//localhost%3A8888/tests/content/base/test/test_NodeIterator_basics_filters.xhtml&c=ISO-8859-1&d=The%20server%20at%20localhost%20is%20taking%20too%20long%20to%20respond..
--DOMWINDOW == 14 (0xad32f60) [serial = 90] [outer = 0xcdc5e80] [url = http://sub2.ält.example.org/tests/content/base/test/file_CrossSiteXHR_inner.html]
--DOMWINDOW == 13 (0x11a1aab0) [serial = 82] [outer = 0x11875fd0] [url = http://localhost:8888/tests/content/base/test/test_CrossSiteXHR.html]
--DOMWINDOW == 12 (0xcdc5eb0) [serial = 83] [outer = 0x0] [url = http://sub2.ält.example.org/tests/content/base/test/file_CrossSiteXHR_inner.html]
--DOCSHELL 0xcdc59d0 == 7

command timed out: 1200 seconds without output, killing pid 822
process killed by signal 9
program finished with exit code -1
}
(Reporter)

Updated

9 years ago
OS: Linux → Mac OS X
Whiteboard: [orange] [test which aborts the suite]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260901733.1260903873.6447.gz
OS X 10.5.2 mozilla-central debug test mochitests-1/5 on 2009/12/15 10:28:53
This still happens occasionally, but I don't think it's nearly enough to block turning on the OS X debug mochitests.  The most recent occurrence seems to be:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262766005.1262767776.27309.gz
OS X 10.5.2 mozilla-central debug test mochitests-1/5 on 2010/01/06 00:20:05  
s: bm-xserve19
2470 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_CrossSiteXHR.html | Test timed out.
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 541


which is more than 24 hours ago.

So I'm making this no longer block bug 523385.
No longer blocks: 523385
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263881823.1263883903.20409.gz
OS X 10.5.2 mozilla-central debug test mochitests-1/5 on 2010/01/18 22:17:03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264189131.1264191856.19409.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/01/22 11:38:51
s: win32-slave05

Updated

9 years ago
Depends on: 546934
(Assignee)

Comment 6

8 years ago
Is it worth splitting the tests up into multiple test files?
(Assignee)

Comment 7

8 years ago
Created attachment 432980 [details] [diff] [review]
Proposed fix
Assignee: nobody → mrbkap
Status: NEW → ASSIGNED
Attachment #432980 - Flags: review?(jonas)

Comment 8

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269303262.1269305593.15035.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/03/22 17:14:22
OS: Mac OS X → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269536958.1269538314.9078.gz
Linux mozilla-central debug test mochitests-1/5 on 2010/03/25 10:09:18
s: moz2-linux-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270070750.1270072968.5927.gz
WINNT 5.2 mozilla-central debug test mochitests-1/5 on 2010/03/31 14:25:50
(Assignee)

Comment 11

8 years ago
http://hg.mozilla.org/mozilla-central/rev/0e49f2d62035

Crossing my fingers that this is actually FIXED now.
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
And if it's not fixed, please file a new bug so that we know which of the split up tests is timing out.
Flags: in-testsuite+
Target Milestone: --- → mozilla1.9.3a5
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271880705.1271881738.24687.gz&fulltext=1#err0
Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/04/21 13:11:45
(Assignee)

Comment 14

8 years ago
Hmm, that last error looks like something else... This bug was about random timeouts from the test taking too long, the latest error shows that XMLHttpRequest.send actually failed.
(In reply to comment #14)
> Hmm, that last error looks like something else... This bug was about random
> timeouts from the test taking too long, the latest error shows that
> XMLHttpRequest.send actually failed.

Yes, my mistake.  There's another bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=560152#c4
Blocks: 795798
Keywords: intermittent-failure
Whiteboard: [orange] [test which aborts the suite] → [test which aborts the suite]
You need to log in before you can comment on or make changes to this bug.